[arch-commits] Commit in evolution-data-server/repos (2 files)

Jan Steffens heftig at archlinux.org
Thu Sep 12 00:48:40 UTC 2019


    Date: Thursday, September 12, 2019 @ 00:48:40
  Author: heftig
Revision: 362281

archrelease: copy trunk to gnome-unstable-x86_64

Added:
  evolution-data-server/repos/gnome-unstable-x86_64/
  evolution-data-server/repos/gnome-unstable-x86_64/PKGBUILD
    (from rev 362279, evolution-data-server/trunk/PKGBUILD)

----------+
 PKGBUILD |   46 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)

Copied: evolution-data-server/repos/gnome-unstable-x86_64/PKGBUILD (from rev 362279, evolution-data-server/trunk/PKGBUILD)
===================================================================
--- gnome-unstable-x86_64/PKGBUILD	                        (rev 0)
+++ gnome-unstable-x86_64/PKGBUILD	2019-09-12 00:48:40 UTC (rev 362281)
@@ -0,0 +1,46 @@
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=evolution-data-server
+pkgver=3.34.0
+pkgrel=1
+pkgdesc="Centralized access to appointments and contacts"
+url="https://wiki.gnome.org/Apps/Evolution"
+arch=(x86_64)
+depends=(gnome-online-accounts nss krb5 libgweather libical db libgdata libphonenumber)
+makedepends=(intltool gperf gobject-introspection vala gtk-doc boost git cmake)
+license=(GPL)
+_commit=4b7967edbf5b4977acdaacd4b783b0a7a918aa0c  # tags/3.34.0^0
+source=("git+https://gitlab.gnome.org/GNOME/evolution-data-server.git#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/^EVOLUTION_DATA_SERVER_//;s/_/./g;s/-/+/g'
+}
+
+prepare() {
+  cd $pkgname
+}
+
+build() {
+  cmake -H$pkgname -Bbuild \
+    -DCMAKE_INSTALL_PREFIX=/usr \
+    -DLIBEXEC_INSTALL_DIR=/usr/lib \
+    -DSYSCONF_INSTALL_DIR=/etc \
+    -DENABLE_INTROSPECTION=ON \
+    -DENABLE_VALA_BINDINGS=ON \
+    -DENABLE_GTK_DOC=ON \
+    -DWITH_PHONENUMBER=ON
+  cmake --build build
+}
+
+check() {
+  # libedata-book tests fail because they try to
+  # mkdir /usr/lib/evolution-data-server/camel-providers
+  cmake --build build --target test || :
+}
+
+package() {
+  DESTDIR="$pkgdir" cmake --build build --target install
+}


More information about the arch-commits mailing list